
From: Jean Tourrilhes <jt@bougret.hpl.hp.com>

(Original patch from Maik Broemme)

o [CRITICA] Don't Oops on invalid dongle-id in nsc-ircc driver

Signed-off-by: Jean Tourrilhes <jt@hpl.hp.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null                           |    0 
 25-akpm/drivers/net/irda/nsc-ircc.c |    5 +++--
 2 files changed, 3 insertions(+), 2 deletions(-)

diff -puN drivers/net/irda/nsc-ircc.c~irda-fix-nsc-ircc-dongle_id-input drivers/net/irda/nsc-ircc.c
--- 25/drivers/net/irda/nsc-ircc.c~irda-fix-nsc-ircc-dongle_id-input	Wed Oct 20 15:50:12 2004
+++ 25-akpm/drivers/net/irda/nsc-ircc.c	Wed Oct 20 15:50:12 2004
@@ -351,8 +351,9 @@ static int __init nsc_ircc_open(int i, c
 	}
 	MESSAGE("IrDA: Registered device %s\n", dev->name);
 
-	/* Check if user has supplied the dongle id or not */
-	if (!dongle_id) {
+	/* Check if user has supplied a valid dongle id or not */
+	if ((dongle_id <= 0) ||
+	    (dongle_id >= (sizeof(dongle_types) / sizeof(dongle_types[0]))) ) {
 		dongle_id = nsc_ircc_read_dongle_id(self->io.fir_base);
 		
 		MESSAGE("%s, Found dongle: %s\n", driver_name,
diff -L drivers/net/irda/nsc-ircc.d0.c -puN /dev/null /dev/null
_
